Bug 90197 - add UI part for minLength and maxLength databar property
Summary: add UI part for minLength and maxLength databar property
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.0.0
Keywords: difficultyBeginner, easyHack, skillCpp
Depends on:
Blocks: Conditional-Formatting
  Show dependency treegraph
 
Reported: 2015-03-24 15:12 UTC by Markus Mohrhard
Modified: 2017-10-14 08:43 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Mohrhard 2015-03-24 15:12:41 UTC
Recently I have added the import and export of the minLength and maxLength databar property. However the UI part for this change is missing and should be added as part of this easy hack.

THe commit adding the feature is:
http://cgit.freedesktop.org/libreoffice/core/commit/?id=7d1fa5fb8ef2067c406eadbdfb0dbca37d4627bf

The code for the databar dialog is in sc/source/ui/condformat/
Comment 1 Ben 2015-04-02 15:51:37 UTC
UI implementation done up and pushed on Gerrit (https://gerrit.libreoffice.org/#/c/15122/). I'm quite unfamiliar with the git/gerrit interface, if there's anything else I need to do please let me know!

Cheers,
Ben
Comment 2 Commit Notification 2015-04-03 01:22:42 UTC
Benjamin Ni committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2390d3b6064d3fc0ec814620947ce18410d657f6

added UI part for minLength and maxLength databar property, tdf#90197

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Yousuf Philips (jay) 2015-04-11 04:35:02 UTC
Just wanted to clarify that min and max are only used when position of vertical axis is set to none.
Comment 4 Mike §chinagl 2015-05-21 15:49:48 UTC
This bug fix is mentioned in the release notes of the coming LibreOffice 5.0 (see release notes https://wiki.documentfoundation.org/ReleaseNotes/5.0). Therefore it would be wonderful if this feature really worked well, otherwise it should not be mentioned in the release notes. In the notes it reads:

Minimum and maximum bar lengths for data bars tdf#90197 (Benjamin Ni and Markus Mohrhard)
Comment 5 Robinson Tryon (qubit) 2015-12-15 23:37:05 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner SkillCpp )
[NinjaEdit]